#include "range.hpp"

using namespace Voltmeter;


Range Voltmeter::operator+(Range const range, int i)
{
    int result = ((int) range + i) % ((int) Range::Max + 1);
    
    if (result < 0)
    {
        result += (int) Range::Max + 1;
    }

    return (Range) result;
}


Range Voltmeter::operator-(Range const range, int i)
{
    return range + (-i);
}


Range Voltmeter::operator++(Range & range)
{
    range = range + 1;
    return range;
}


Range Voltmeter::operator--(Range & range)
{
    range = range - 1;
    return range;
}